Enumerations | Functions

# resource_.h File Reference

Go to the source code of this file.

## Enumerations
enum | ResourceType { UndefinedResource, AreaResource, DiskResource, FileResource, MapResource, MemoryResource }
## Functions
WizardExport int | AcquireUniqueFileResource (const char *, char *, ExceptionInfo *)
WizardExport WizardBooleanType | AcquireWizardResource (const ResourceType, const WizardSizeType)
WizardExport WizardBooleanType | AcquireUniqueFilename (char *, ExceptionInfo *)
WizardExport WizardBooleanType | ListWizardResourceInfo (FILE *, ExceptionInfo *)
WizardExport WizardBooleanType | RelinquishUniqueFileResource (const char *, const WizardBooleanType)
WizardExport WizardBooleanType | ResourceComponentGenesis (void)
WizardExport WizardBooleanType | SetWizardResourceLimit (const ResourceType, const WizardSizeType)
WizardExport WizardSizeType | GetWizardResource (const ResourceType)
WizardExport void | AsynchronousResourceComponentTerminus (void)
WizardExport void | RelinquishWizardResource (const ResourceType, const WizardSizeType)
WizardExport void | ResourceComponentTerminus (void)

## Enumeration Type Documentation

enum ResourceType

Enumerator:

  UndefinedResource |
  AreaResource |
  DiskResource |
  FileResource |
  MapResource |
  MemoryResource |

## Function Documentation

WizardExport WizardBooleanType AcquireUniqueFilename | ( | char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport int AcquireUniqueFileResource | ( | const char * | ,
|  | char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireRandomInfo(), AcquireSemaphoreInfo(), AcquireWizardResource(), AddValueToSplayTree(), close, CompareSplayTreeString(), ConstantString(), DestroyStringInfo(), DestroyTemporaryResources(), FileResource, GetPathTemplate(), GetRandomKey(), GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, LockSemaphoreInfo(), LogWizardEvent(), NewSplayTree(), O_BINARY, O_NOFOLLOW, open, random_info, resource_semaphore, ResourceDomain, ResourceError, ResourceEvent, S_MODE, setmode, SHA256Hash, temporary_resources, ThrowWizardException(), TMP_MAX, UnlockSemaphoreInfo(), and WizardAssert.

Referenced by AcquireUniqueFilename().

WizardExport WizardBooleanType AcquireWizardResource | ( | const | ResourceType,
|  | const | WizardSizeType |
| ) |  |  |

WizardExport void AsynchronousResourceComponentTerminus | ( | void |  | ) |

WizardExport WizardSizeType GetWizardResource | ( | const | ResourceType | ) |

References AcquireSemaphoreInfo(), _ResourceInfo::area, AreaResource, _ResourceInfo::disk, DiskResource, _ResourceInfo::file, FileResource, LockSemaphoreInfo(), _ResourceInfo::map, MapResource, _ResourceInfo::memory, MemoryResource, resource_info, resource_semaphore, and UnlockSemaphoreInfo().

WizardExport WizardBooleanType ListWizardResourceInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType RelinquishUniqueFileResource | ( | const char * | ,
|  | const | WizardBooleanType |
| ) |  |  |

WizardExport void RelinquishWizardResource | ( | const | ResourceType,
|  | const | WizardSizeType |
| ) |  |  |

WizardExport WizardBooleanType ResourceComponentGenesis | ( | void |  | ) |

WizardExport void ResourceComponentTerminus | ( | void |  | ) |

References AcquireSemaphoreInfo(), DestroySemaphoreInfo(), DestroySplayTree(), LockSemaphoreInfo(), resource_semaphore, temporary_resources, and UnlockSemaphoreInfo().

Referenced by WizardsToolkitTerminus().

WizardExport WizardBooleanType SetWizardResourceLimit | ( | const | ResourceType,
|  | const | WizardSizeType |
| ) |  |  |

References AcquireSemaphoreInfo(), _ResourceInfo::area_limit, AreaResource, _ResourceInfo::disk_limit, DiskResource, _ResourceInfo::file_limit, FileResource, LockSemaphoreInfo(), _ResourceInfo::map_limit, MapResource, _ResourceInfo::memory_limit, MemoryResource, resource_info, resource_semaphore, UnlockSemaphoreInfo(), and WizardTrue.

Referenced by ResourceComponentGenesis().